Version-chooser frontend for LÖVE
Switch branches/tags
Nothing to show
Clone or download
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Failed to load latest commit information.
cli
LICENSE.md
README.md
common.lua
conf.lua
configuration.lua
init.lua
main.lua
matchmaker
matchmaker.bat

README.md

Matchmaker

Make me a perfect match!

The aim of Matchmaker is to implement a frontend to LÖVE that correctly identifies the proper version of LÖVE to use for a particular game or application.

Usage

Set up your configuration in configuration.lua -- eventually this will be filled in by matchmaker --configure. Simply put paths to your installed LÖVE binaries into this file.

After configuring, matchmaker [game] should launch the given game using the correct version of LÖVE.

See matchmaker --help for more information.

Known Issues

  • Automatic version detection is shaky
  • Error messages are unhelpful
  • Linux matchmaker command is untested
  • matchmaker --configure doesn't function yet
  • API is a stub